## openvswitch 2.4.1

=== debian/changelog ===
openvswitch (2.4.1-0ubuntu0.15.10.1) wily; urgency=medium

  * New upstream point release (LP: #1575119):
    - CVE-2016-2074: MPLS buffer overflow vulnerabilities.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Apr 2016 06:25:44 -0500
