## openvswitch 2.5.0

=== debian/changelog ===
openvswitch (2.5.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 10 Mar 2016 14:09:14 +0000

openvswitch (2.5.0~git20160219.522aca6-0ubuntu3) xenial; urgency=medium

  * d/rules,control,openvswitch-switch-dpdk.*: Install DPDK enabled binaries
    into a new package (replacing the one from src:openvswitch-dpdk) rather
    than shipping alongside the vanilla binaries (LP: #1550254).
  * d/openvswitch-switch.*: Tidy up alternatives related to ovs-vswitchd-dpdk
    in 2.5.0~git20160219.522aca6-0ubuntu2.
  * d/tests/*: Refactor, exercise vanilla and dpdk enabled binaries where
    possible.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Feb 2016 12:39:27 +0000

openvswitch (2.5.0~git20160219.522aca6-0ubuntu2) xenial; urgency=medium

  * [9c970b06] d/rules,*.manpages,*.install: Prepare for dual build.
  * [f7dff3e7] DPDK enablement (LP: #1492186):
    - d/p/system-dpdk.patch: Pick patch from openvswitch-dpdk to
      support use with libdpdk-dev.
    - d/control: Add DPDK dependencies for supported archs.
    - d/rules: Build DPDK enabled binaries for supported archs.
    - d/openvswitch-switch.p*: Install ovs-vswitch-dpdk binary as an
      alternative.
    - d/openvswitch-switch.README.Debian: Let users know how to use
      the DPDK binary.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Feb 2016 21:44:41 +0000

openvswitch (2.5.0~git20160219.522aca6-0ubuntu1) xenial; urgency=medium

  * [7c4c30b] Imported upstream snapshot 2.5.0~git20160219.522aca6.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Feb 2016 13:51:49 +0000

openvswitch (2.5.0~git20160129.46a88d9-0ubuntu1) xenial; urgency=medium

  * [099b995] d/rules: Switch to 2.5 branch for snapshots.
  * [aee4d60] Imported upstream snapshot 2.5.0~git20160129.46a88d9
  * [b5d8f41] d/p/*: Refresh patches.
  * [97855b9] d/control,ovn*: Sync packaging changes from upstream for
              experimental OVN support.
  * [5c2ef1d] d/*.init: Tidy up init.d-script-does-not-source-init-functions
              lint.
  * [f3434f7] d/control: Add dh-python to BD's.
  * [81a7cca] d/control: Fixup breaks/replaces for upgrades.
  * [c19cf60] d/*.init Ensure _SYSTEMCTL_SKIP_REDIRECT is set prior to
              inclusion of init-functions.
  * [a7d5430] d/openvswitch-switch.openvswitch-nonetwork.service: Pass
              OVS_CTL_OPTS instead of OPTIONS to ovs-ctl on startup.
  * [d19098f] d/p/ovs-ctl-dpdk.patch: Sort out tab/space formatting.
  * [9e3989e] d/control: Add libcap-ng-dev to BD's to support running
              ovs daemons as non-root users.

 -- James Page <james.page@ubuntu.com>  Fri, 29 Jan 2016 11:44:50 +0100

openvswitch (2.4.0-0ubuntu5) xenial; urgency=high

  * Skip tests on s390x, for the same reason as powerpc see 1483572.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Jan 2016 10:38:48 +0000
