=== debian/control ===
--- 
+++ 
@@ -1,27 +1,24 @@
 Source: openvswitch
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
-Build-Depends: autoconf (>= 2.64),
+Build-Depends: graphviz,
+               autoconf (>= 2.64),
                automake (>= 1.10) | automake1.10,
                bzip2,
-               debhelper (>= 9~),
+               debhelper (>= 8),
                dh-autoreconf,
-               dh-systemd (>= 1.5),
-               graphviz,
                libssl-dev,
                libtool,
                openssl,
                procps,
-               python-all (>= 2.6.6-3~),
+               python-all (>= 2.7),
                python-qt4,
-               python-twisted-conch,
+               python-twisted,
                python-zopeinterface
-Standards-Version: 3.9.6
+Standards-Version: 3.9.3
 Homepage: http://openvswitch.org/
-XS-Testsuite: autopkgtest
 
 Package: openvswitch-common
 Architecture: linux-any
@@ -45,7 +42,7 @@
 
 Package: openvswitch-switch
 Architecture: linux-any
-Depends: kmod | module-init-tools,
+Depends: kmod,
          netbase,
          openvswitch-common (= ${binary:Version}),
          procps,
@@ -112,8 +109,6 @@
          openvswitch-pki (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: openvswitch-test (<< 2.1.2-0ubuntu3)
-Replaces: openvswitch-test (<< 2.1.2-0ubuntu3)
 Description: Simple controller for testing OpenFlow setups
  This controller enables OpenFlow switches that connect to it to act
  as MAC-learning Ethernet switches.  It can be used for initial
@@ -127,6 +122,8 @@
          openvswitch-switch (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: openvswitch-testcontroller (<< ${binary:Version}),
+           openvswitch-testcontroller (>> ${binary:Version})
 Description: Debug symbols for Open vSwitch packages
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
