## openvswitch 2.5.4

=== debian/changelog ===
openvswitch (2.5.4-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream point release (LP: #1726927):
    - d/p/CVE-2017-9265.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Oct 2017 10:38:01 +0000

openvswitch (2.5.2-0ubuntu0.16.04.3) xenial; urgency=medium

  * d/openvswitch-switch.postinst: Do not modify
    /etc/default/openvswitch-switch as this file is now managed
    as a configuration file by dpkg (LP: #1723480).

 -- Frode Nordahl <frode.nordahl@gmail.com>  Tue, 17 Oct 2017 16:38:57 +0000

openvswitch (2.5.2-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS while parsing OFPT_QUEUE_GET_CONFIG_REPLY message
    - debian/patches/CVE-2017-9214.patch: properly check length in
      lib/ofp-util.c.
    - CVE-2017-9214
  * SECURITY UPDATE: DoS while parsing OpenFlow role status message
    - debian/patches/CVE-2017-9263.patch: don't abort on unknown reason in
      lib/ofp-print.c.
    - CVE-2017-9263
  * SECURITY UPDATE: DoS while parsing group mod OpenFlow message
    - debian/patches/CVE-2017-9265.patch: check length in lib/ofp-util.c.
    - CVE-2017-9265

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Aug 2017 14:15:05 -0400

openvswitch (2.5.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream point release (LP: #1673063).

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 13:55:24 +0000
