## openvswitch 2.5.9

=== debian/changelog ===
openvswitch (2.5.9-0ubuntu0.16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: packet parsing vulnerability
    - debian/patches/CVE-2020-35498.patch: support extra padding length in
      lib/dp-packet.h, lib/flow.c, tests/classifier.at.
    - CVE-2020-35498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jan 2021 14:49:45 -0500

openvswitch (2.5.9-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow decoding malformed packets in lldp
    - debian/patches/CVE-2015-8011.patch: check lengths in lib/lldp/lldp.c.
    - CVE-2015-8011
  * SECURITY UPDATE: Externally triggered memory leak in lldp
    - debian/patches/CVE-2020-27827.patch: properly free memory in
      lib/lldp/lldp.c.
    - CVE-2020-27827

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jan 2021 07:30:54 -0500

openvswitch (2.5.9-0ubuntu0.16.04.1) xenial; urgency=medium

  * Bump nofiles to 1048576 for ovs daemons when running under
    upstart (LP: #1737866).
  * d/watch: Misc tweaks for upstream layout changes.
  * New upstream release (LP: #1888198).

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jul 2020 15:36:21 +0100
