=== debian/control ===
--- 
+++ 
@@ -1,33 +1,47 @@
 Source: openvswitch
 Section: net
 Priority: extra
-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
-Build-Depends: graphviz,
-               autoconf (>= 2.64),
+Build-Depends: autoconf (>= 2.64),
                automake (>= 1.10) | automake1.10,
                bzip2,
-               debhelper (>= 8),
+               debhelper (>= 9~),
                dh-autoreconf,
+               dh-python,
+               dh-systemd (>= 1.5),
+               graphviz,
+               libcap-ng-dev,
+               libdpdk-dev [amd64 i386],
+               libpcap-dev [amd64 i386],
                libssl-dev,
                libtool,
+               libxen-dev [amd64 i386],
                openssl,
                procps,
-               python-all (>= 2.7),
+               python-all (>= 2.6.6-3~),
                python-qt4,
-               python-twisted,
+               python-six,
+               python-twisted-conch,
                python-zopeinterface
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://openvswitch.org/
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
+XS-Testsuite: autopkgtest
 
 Package: openvswitch-common
 Architecture: linux-any
 Depends: openssl,
          python,
-         python (>= 2.7) | python-argparse,
+         python (>= 2.7),
+         python-six,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: ethtool
+Breaks: openvswitch-switch (<< 2.5.0~git20160122.66cd712-0ubuntu1~)
+Replaces: openvswitch-switch (<< 2.5.0~git20160122.66cd712-0ubuntu1~)
 Description: Open vSwitch common components
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -42,7 +56,7 @@
 
 Package: openvswitch-switch
 Architecture: linux-any
-Depends: kmod,
+Depends: kmod | module-init-tools,
          netbase,
          openvswitch-common (= ${binary:Version}),
          procps,
@@ -62,6 +76,95 @@
  .
  openvswitch-switch provides the userspace components and utilities for
  the Open vSwitch kernel-based switch.
+
+Package: openvswitch-switch-dpdk
+Architecture: amd64 i386
+Depends: dpdk,
+         openvswitch-switch (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Enhances: openvswitch-switch
+Description: DPDK enabled Open vSwitch switch implementation
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ openvswitch-switch provides the userspace components and utilities for
+ the Open vSwitch kernel-based switch.
+ .
+ DPDK is a set of libraries for fast packet processing. Applications run
+ in user-space and communicate directly with dedicated network interfaces.
+ .
+ This package provides a DPDK enabled implementation of the ovs-vswitchd
+ binary.
+
+Package: ovn-common
+Architecture: linux-any
+Depends: openvswitch-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: OVN common components
+ OVN, the Open Virtual Network, is a system to support virtual network
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
+ .
+ ovn-common provides components required by other OVN packages.
+
+Package: ovn-host
+Architecture: linux-any
+Depends: openvswitch-common (= ${binary:Version}),
+         openvswitch-switch (= ${binary:Version}),
+         ovn-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: OVN host components
+ OVN, the Open Virtual Network, is a system to support virtual network
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
+ .
+ ovn-host provides the userspace components and utilities for
+ OVN that can be run on every host/hypervisor.
+
+Package: ovn-central
+Architecture: linux-any
+Depends: openvswitch-common (= ${binary:Version}),
+         openvswitch-switch (= ${binary:Version}),
+         ovn-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: OVN central components
+ OVN, the Open Virtual Network, is a system to support virtual network
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
+ .
+ ovn-central provides the userspace daemons, utilities and
+ databases for OVN that is run at a central location.
+
+Package: ovn-docker
+Architecture: any
+Depends: openvswitch-common (= ${binary:Version}),
+         openvswitch-switch (= ${binary:Version}),
+         ovn-common (= ${binary:Version}),
+         python (>= 2.7),
+         python-openvswitch (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: OVN Docker drivers
+ OVN, the Open Virtual Network, is a system to support virtual network
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
+ .
+ ovn-docker provides the docker drivers for OVN.
 
 Package: openvswitch-ipsec
 Architecture: linux-any
@@ -109,6 +212,8 @@
          openvswitch-pki (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: openvswitch-test (<< 2.1.2-0ubuntu3)
+Replaces: openvswitch-test (<< 2.1.2-0ubuntu3)
 Description: Simple controller for testing OpenFlow setups
  This controller enables OpenFlow switches that connect to it to act
  as MAC-learning Ethernet switches.  It can be used for initial
@@ -122,8 +227,6 @@
          openvswitch-switch (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: openvswitch-testcontroller (<< ${binary:Version}),
-           openvswitch-testcontroller (>> ${binary:Version})
 Description: Debug symbols for Open vSwitch packages
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -180,12 +283,3 @@
          ${shlibs:Depends}
 Description: Open vSwitch VTEP utilities
  Open vSwitch is a production quality, multilayer, software-based, Ethernet
- virtual switch. It is designed to enable massive network automation through
- programmatic extension, while still supporting standard management interfaces
- and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
- addition, it is designed to support distribution across multiple physical
- servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
- 1000V.
- .
- This package provides utilities that are useful to interact with a
- VTEP-configured database and a VTEP emulator.
