## openvswitch 2.6.0

=== debian/changelog ===
openvswitch (2.6.0-0ubuntu2) yakkety; urgency=medium

  * Updates to cover the new way Openvswitch is configurging DPDK (LP: #1625542)
    - d/openvswitch-switch.default
    - d/openvswitch-switch-dpdk.README.Debian
    - drop d/p/ovs-ctl-dpdk.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Oct 2016 11:07:08 +0200

openvswitch (2.6.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - d/rules: Update SKIP_TEST numbers inline with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Sep 2016 13:09:26 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu4) yakkety; urgency=medium

  * d/rules: Correct SKIP_TEST 1149 -> 1150 (racey on arm64).

 -- James Page <james.page@ubuntu.com>  Thu, 15 Sep 2016 09:18:59 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu3) yakkety; urgency=medium

  * d/rules: Tidy SKIP_TEST list, document in rules file actual test
    failures as test numbers change between releases.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Sep 2016 18:02:24 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu2) yakkety; urgency=medium

  * d/rules: Re-enable previously disabled SKIP_TEST list; builds under load
    still exhibit races in a number of tests.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Sep 2016 14:37:51 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from branch-2.6 (LP: #1609846).
  * d/rules: Skip test 1866 on ppc64el.
  * d/rules: Re-enable all tests across other archs.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Sep 2016 22:42:46 +0100

openvswitch (2.6.0~git20160822.2cff273-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from branch-2.6.
  * d/rules: Switch to branch-2.6 now its been cut upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Aug 2016 11:48:27 +0100

openvswitch (2.6.0~git20160810.7f5f2bd-0ubuntu3) yakkety; urgency=medium

  * Revert DPDK support on arm64.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Aug 2016 08:25:57 +0100

openvswitch (2.6.0~git20160810.7f5f2bd-0ubuntu2) yakkety; urgency=medium

  * Enable dpdk builds for arm64.
  * Generalize blacklist of racey/failing unit tests.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Aug 2016 21:59:17 +0100

openvswitch (2.6.0~git20160810.7f5f2bd-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for 2.6.0 release goal.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.
  * d/openvswitch-common.install: Drop ovs-benchmark tool, removed upstream
    due to lack of use and maintenance.
  * d/control,ovn-controller-vtep.*: Add ovn-controller-vtep package.
  * d/openvswitch-switch.install: Add ovs-tcpdump binary and manpage.
  * Add support for Python 3:
    - d/control: Drop surplus Python 2 BD's, add BD's for Python 3.
    - d/control: Add missing dependency on python-six.
    - d/rules,control: Add python3-openvswitch package.
  * d/rules: Skip racey/failing tests until resolved upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Aug 2016 17:53:28 +0100
